Bug 486702 - initrd fails to mount real root fs, thus boot fails
initrd fails to mount real root fs, thus boot fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 04:58 EST by QingLong
Modified: 2009-07-14 11:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel messages during boot with acpi=off (28.85 KB, text/plain)
2009-02-21 04:58 EST, QingLong
no flags Details
lspci -v (4.28 KB, text/plain)
2009-02-21 05:00 EST, QingLong
no flags Details
/proc/cpuinfo (828 bytes, text/plain)
2009-02-21 05:01 EST, QingLong
no flags Details
lspci -vv output (7.41 KB, application/octet-stream)
2009-02-23 06:15 EST, Armijn Hemel
no flags Details
Last screen of failed boot (vga=792 ignore_loglevel) (51 bytes, text/plain)
2009-03-06 02:53 EST, QingLong
no flags Details
Last screen of failed boot (vga=792 ignore_loglevel scsi_mod.scan=sync) (51 bytes, text/plain)
2009-03-06 02:54 EST, QingLong
no flags Details
Last screen of failed boot (51 bytes, text/plain)
2009-03-06 02:57 EST, QingLong
no flags Details
MPEG of failed boot (vga=792 ignore_loglevel)) (51 bytes, text/plain)
2009-03-06 03:00 EST, QingLong
no flags Details
MPEG of failed boot (vga=792 ignore_loglevel scsi_mod.scan=sync) (51 bytes, text/plain)
2009-03-06 03:03 EST, QingLong
no flags Details

  None (edit)
Description QingLong 2009-02-21 04:58:27 EST
Created attachment 332797 [details]
kernel messages during boot with acpi=off

Description of problem:
During boot initrd stuff fails to mount real root filesystem,
causing subsequent kernel panic.
The acpi=off works around the bug.

Version-Release number of selected component (if applicable):
2.6.27.15-78.2.23.fc9.i686
2.6.27.12-78.2.8.fc9.i686
and a couple of earlier, IIRC

How reproducible:
100%

Steps to Reproduce:
Obvious
  
Actual results:


Expected results:


Additional info:
I've attached kernel boot log for acpi=off case.
I've had no facilities to catch the messages for the case without acpi=off
(kernel panics far before syslog starts).

Is it possible to add a number of attachments to one bug report?
Looks like I have to add more comments in order to attach outputs of
`lcpsi -v' and /proc/cpuinfo. :(
Comment 1 QingLong 2009-02-21 05:00:25 EST
Created attachment 332800 [details]
lspci -v
Comment 2 QingLong 2009-02-21 05:01:33 EST
Created attachment 332803 [details]
/proc/cpuinfo
Comment 3 Armijn Hemel 2009-02-23 06:13:51 EST
I see this same problem, but just with 2.6.27.15-78.2.23.fc9.i686. 
2.6.27.12-78.2.8.fc9.i686 works just nicely.
Comment 4 Armijn Hemel 2009-02-23 06:15:05 EST
Created attachment 332920 [details]
lspci -vv output
Comment 5 Chuck Ebbert 2009-02-27 02:36:52 EST
Can you try replacing 'quiet' with 'vga=792 ignore_loglevel" in the kernel boot options, take a picture of the screen with a camera when it fails, and attach that?

Also, try replacing 'acpi=off' with 'scsi_mod.scan=sync' and see if that works too.
Comment 6 QingLong 2009-03-06 02:53:02 EST
Created attachment 334263 [details]
Last screen of failed boot (vga=792 ignore_loglevel)
Comment 7 QingLong 2009-03-06 02:54:48 EST
Created attachment 334264 [details]
Last screen of failed boot (vga=792 ignore_loglevel scsi_mod.scan=sync)
Comment 8 QingLong 2009-03-06 02:57:52 EST
Created attachment 334265 [details]
Last screen of failed boot
Comment 9 QingLong 2009-03-06 03:00:59 EST
Created attachment 334266 [details]
MPEG of failed boot (vga=792 ignore_loglevel))

To my great regret this is the best quality I've manage to get
(shooting conditions has been rather poor). :(
Comment 10 QingLong 2009-03-06 03:03:12 EST
Created attachment 334267 [details]
MPEG of failed boot (vga=792 ignore_loglevel scsi_mod.scan=sync)

To my great regret this is the best quality I've manage to get (shooting conditions has been rather poor). :(
Comment 11 Bug Zapper 2009-06-09 23:35:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 11:54:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.